package domain


type AlibabaWdkItemCurrentpriceQueryResult struct {
    /*
        返回码     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        异常信息     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        返回的当前当前商品价格列表     */
    Models  *[]AlibabaWdkItemCurrentpriceQueryModel `json:"models,omitempty" `

}

func (s *AlibabaWdkItemCurrentpriceQueryResult) SetReturnCode(v string) *AlibabaWdkItemCurrentpriceQueryResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryResult) SetReturnMsg(v string) *AlibabaWdkItemCurrentpriceQueryResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryResult) SetSuccess(v bool) *AlibabaWdkItemCurrentpriceQueryResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryResult) SetModels(v []AlibabaWdkItemCurrentpriceQueryModel) *AlibabaWdkItemCurrentpriceQueryResult {
    s.Models = &v
    return s
}
